Invite Organisation Member
Add an existing user to the organisation by email.
Authorization: caller must be an admin or owner. Personal organisations cannot receive additional members.
The invited user must already have an account (matched by case-insensitive email) - this does not send an email invite or provision a new account. Fails with 409 if already a member.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/members" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "role": "string", "joined_at": "2019-08-24T14:15:22Z", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": "string", "display_name": "string", "avatar_url": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}